using NetworkResurrector.Agent.Application.Services.Abstractions;
using NetworkResurrector.Agent.Domain.Models;
using System;

namespace NetworkResurrector.Agent.Application.Services.Linux
{
    internal class LinuxPowerService : IPowerService
    {
        public void Shutdown(PowerOptions options)
        {
            throw new NotImplementedException();
        }

        public void Restart(PowerOptions options)
        {
            throw new NotImplementedException();
        }

        public void Sleep(PowerOptions options)
        {
            throw new NotImplementedException();
        }

        public void Logout()
        {
            throw new NotImplementedException();
        }

        public void Lock()
        {
            throw new NotImplementedException();
        }

        public void Cancel()
        {
            throw new NotImplementedException();
        }
    }
}
